%define oname ipaddr
%define name python-%{oname}
%define version 2.1.9

Summary: A library for working with IP addresses
Name: %{name}
Version: %{version}
Release: %mkrel 3
Source0: http://ipaddr-py.googlecode.com/files/%{oname}-%{version}.tar.gz
License: Apache License
Group: Development/Python
Url: http://code.google.com/p/ipaddr-py/
BuildRequires: python-devel
BuildArch: noarch

%description
ipaddr is a library for working with IP addresses, both IPv4 and IPv6.
It was developed by Google for internal use, and is now open source.

%prep
%setup -q -n %{oname}-%{version}

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING README RELEASENOTES
%py_puresitedir/%{oname}.py
%py_puresitedir/*.egg-info



%changelog

* Thu Nov 03 2011 shlomif <shlomif> 2.1.9-3.mga2
+ Revision: 162433
- imported package python-ipaddr


* Thu Nov  3 2011 Michael Brown <mbrown@fensystems.co.uk> 2.1.9-3fs1
- Dummy changelog entry

